%global package_version 1.1.5
%global rolename engine-setup
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles

Name: ovirt-ansible-engine-setup
Summary: Ansible role to install packages and install oVirt Engine
Version: 1.1.5
Release: 1%{?dist}
Source: ovirt-ansible-engine-setup-%{package_version}.tar.gz
License: ASL 2.0
Group: Virtualization/Management
BuildArch: noarch
Url: http://www.ovirt.org

Requires: ansible >= 2.5

%description
This Ansible role installs required packages for oVirt Engine deployment,
generates answerfile and runs engine-setup with it.

%prep
%setup -c -q

%build

%install
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}

%doc README.md
%doc examples/

%license LICENSE

%changelog
* Thu Oct 04 2018 Ondra Machacek <omachace@redhat.com> - 1.1.5-1
- Add vacuum option when upgrading.

* Fri Aug 31 2018 Ondra Machacek <omachace@redhat.com> - 1.1.4-1
- Set false as default for ovirt_engine_setup_use_remote_answer_file.

* Thu Aug 30 2018 Ondra Machacek <omachace@redhat.com> - 1.1.3-1
- Add '--offline' option.
- Add answerfile-path-on-remote option.
- Require Ansible 2.5.

* Wed Apr 11 2018 Ondra Machacek <omachace@redhat.com> - 1.1.2-1
- Change ovirt_engine_setup_product_type parameter.

* Thu Apr 5 2018 Ondra Machacek <omachace@redhat.com> - 1.1.1-1
- Remove 3.6 and 4.0 from supported versions of this role.

* Wed Jan 17 2017 Ondra Machacek <omachace@redhat.com> - 1.1.0-1
- Initial release
